How To Repair Apache Cannot Load Php4apache2 Dll (Solved)

Home > Apache Cannot > Apache Cannot Load Php4apache2 Dll

Apache Cannot Load Php4apache2 Dll

Cheers, Fozzy fozzyuw View Public Profile View Extended RPG Stats Challenge This User To Battle Send a private message to fozzyuw Find all posts by fozzyuw Find all threads by fozzyuw Also in the future, please reference the posting rules. Installing the new Apache server (2.0.47 instead of 2.0.43) seemed to do the trick, but it could have been the newer PHP too (4.3.3 instead of 4.2.3). You’re going to have problems running old pre Apache 2.0.44 versions with PHP. check over here

So any ideas what it could be? However the version I got was supposed to work with the version PHP I also have because they were the versions recommended to me. malukisses Born Posts: 1 3+ Months Ago I had the same problem, and could not install EasyPHP because it does not run on Windows Vista. Logged Pages: [1] Print « previous next » Jump to: Please select a destination: ----------------------------- DeveloperSide.NET ----------------------------- => Web.Developer Server Suite Professional Edition,Support Forum => Web.Developer Server Suite learn this here now

When I use php4apache.dll from an older PHP distribution (i.e. I am supposed to use this though as thats what they have installed at uni, and I've used different versions of software than what they have installed (it was C++ that But here it goes, if you dont have a sapi folder its because you've downloaded the wrong php version, download the ziped folder. As a guest, you can read any forum posting.

I never had to compile anything, so I'm not sure whát and how I have to compile. But heres the catch, if your using Apache as a service like me then you have to note that it cant be added to the user variable path, it needs to I did reinstall it in between the first post I made here and the second, and i deleted everything, uninstalling Apache and deleting all php files off, including the directory I i didn't "leave out" any steps at all, I just didn't post them because they seemed trivial to me, I couldn't see any error in say copying say php.ini to the

Cannot load c:/php/php5apache2_4.dll into server: Apache Forum Index -> Other Software View previous topic :: View next topic Author Message bizcomJoined: 15 Mar 2013Posts: 2Location: Raleigh, NC Posted: Also make sure you are using the php5apache2_2.dll :) (I've not tested this on Win32, but it should work by all accounts) Comment 7 Joe Orton 2006-12-11 06:54:41 UTC The pre-built Please look at my attached config file and let me know what i am doing worng. https://www.apachelounge.com/viewtopic.php?t=5229 If apache cant find this file, then it wont run.

this i was doing with the apch2.0.4.8 and php4.3.4 ol4pr0 View Public Profile View Extended RPG Stats Challenge This User To Battle Send a private message to ol4pr0 Find all posts I copied it to c:\windows. gotta go to work, but ill check back. Everything you have shown looks sloppy.Next, "c:/Apache Group" ...

Worth, TX Posts: 650 Time spent in forums: 1 h 48 m 34 sec Reputation Power: 0 I agree.. http://forums.devarticles.com/web-server-configuration-51/cannot-load-c-php-sapi-php4apache-dll-into-server-3146.html You may have to register before you can post: click the register link above to proceed. Looks like if there are a problem whith "old" third party modules. Problem occurs when modifying the httpd.conf file to include: LoadModule php4_module c:php/sapi/php4apache2.dll With the file saved there or anywhere else I could think of or have seen suggestions for, the error

I installed Apache2 and php4 per instructions. check my blog Andrew Johnstone www.ajohnstone.com Zend Platform (Buran Beta) Zend Studio Xenon Aug 10, 2002,09:03 #7 Hierophant View Profile View Forum Posts Your Lord and Master, Foamy Join Date Aug 1999 Location Lancaster, You’re going to have problems running old pre Apache 2.0.44 versions with PHP. I had the same problem on Win98 with Apache 2.0.39 and PHP 4.2.1 and used the line LoadModule php4_module path\php\sapi\php4apache2.dll and it worked.

Typically a way to cheat is to make sure that the PHP files are in the PATH - you can either do this by adding the PHP directory to the PATH You can now find them here. I only changed dir structure because other sites recommended doing this. this content Comment 6 Karl Southern 2006-09-27 13:27:56 UTC Is php5ts.dll in the same area?

If you get stuck you can get support by emailing [email protected] If this is your first visit, be sure to check out the FAQ by clicking the link above. Cannot load C:/php/sapi/php4apache2.dll into server: The specified procedure could not be found. So i've ended up using iis and that seems to be a temp solution till i find out how to fix this.

Back to top jimskiJoined: 18 Jan 2014Posts: 182Location: USSA Posted: Thu 20 Feb '14 0:39 Post subject: Re: Error message when I try to restart Apache TheMagician wrote: /conf/httpd.conf: Cannot load

You may have to register before you can post: click the register link above to proceed. Please Note: this e-mail address is only for reporting problems with ASF Bugzilla. Could it be that the upgrade created /WINNT, and left the old /windows dir in place? Now whats wrong with it?

So in my case it would be: ";C:\php\;". « Previous Thread | Next Thread » Thread Tools Show Printable Version Email this Page Display Modes Linear Mode Switch to Hybrid Mode LoadModule php4_module "c:/php/sapi/php4apache2.dll" AddType application/x-httpd-php .php and moved the php4ts.dll file 2 winnt/system32 however by doing that my server stopped running after a restart failed to start operation lol... ASF Bugzilla – Bug17356 Cannot load C:/php/sapi/php4apache2.dll into server: The specified procedure could not be found. have a peek at these guys A solution: move the dll files from PHP_HOME/sapi dir to PHP_HOME/ and then configure: LoadModule php4_module c:/php Now php4ts.dll is found, because it's in the same directory, and apache should now

But as soon as I uncomment the line, when I try to start the Apache server, it comes up with the message "The requested operation has failed!" This is what I Hope this helps [2004-07-17 18:14 UTC] buzzcarter at hotmail dot com Thanks... I suppose there must be some kind of incompatibility between php 4 and apache 2.2. Another problem however is that the Zend optimizer doesn't work.

Running Apache 2.0.35 and PHP 4.2.0 in Windows XP, i have the same : Syntax error on line 948 of C:/Apache2/conf/httpd.conf: Cannot load C:/Apache2/modules/php4apache.dll into server: The specified module could not Here is the link to the bug report on php.net: http://bugs.php.net/bug.php?id=37436 Comment 5 Lawrence Widacki 2006-09-16 23:56:15 UTC I have version 2.2.3 and have the same problem of php modules not In case of problems with the functioning of ASF Bugzilla, please contact [email protected] I was unable to compile it with my meagre compilation skills (parley-vous c++?

Please login or register. 1 Hour 1 Day 1 Week 1 Month Forever Login with username, password and session length News: Web-Developer Server Suite v2.00 Released on SourceForge.NET!!! if so LoadFile "C:/php/php5ts.dll" Back to top TadehJoined: 25 Jul 2013Posts: 11Location: United States, Los Angeles Posted: Sat 27 Jul '13 0:12 Post subject: Re: re install VC++ redistributable (2012), this Good luck #7 (permalink) November 15th, 2007, 08:16 AM grandslamjmh Registered User Join Date: Nov 2007 Location: , , . kuikeelc View Public Profile View Extended RPG Stats Challenge This User To Battle Send a private message to kuikeelc Find all posts by kuikeelc Find all threads by kuikeelc Add kuikeelc

all i have are these 2 lines at the end of the httpd.conf LoadModule php4_module c:/php/sapi/php4apache2.dll AddType application/x-httpd-php .php you copy all the ddls to the system folder? I copied all the files... You can find out more information about the move and how to open a new account (if necessary) here.